package com.dcsoft.system.service.impl;

import java.util.List;
import com.dcsoft.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.dcsoft.system.mapper.SysPointMapper;
import com.dcsoft.system.domain.SysPoint;
import com.dcsoft.system.service.ISysPointService;

/**
 * 点位管理Service业务层处理
 *
 * @author nichun
 * @date 2023-03-08
 */
@Service
public class SysPointServiceImpl implements ISysPointService
{
    @Autowired
    private SysPointMapper sysPointMapper;

    /**
     * 查询点位管理
     *
     * @param id 点位管理主键
     * @return 点位管理
     */
    @Override
    public SysPoint selectSysPointById(Long id)
    {
        return sysPointMapper.selectSysPointById(id);
    }

    /**
     * 查询点位管理列表
     *
     * @param sysPoint 点位管理
     * @return 点位管理
     */
    @Override
    public List<SysPoint> selectSysPointList(SysPoint sysPoint)
    {
        return sysPointMapper.selectSysPointList(sysPoint);
    }

    /**
     * 新增点位管理
     *
     * @param sysPoint 点位管理
     * @return 结果
     */
    @Override
    public int insertSysPoint(SysPoint sysPoint)
    {
        sysPoint.setCreateTime(DateUtils.getNowDate());
        return sysPointMapper.insertSysPoint(sysPoint);
    }

    /**
     * 修改点位管理
     *
     * @param sysPoint 点位管理
     * @return 结果
     */
    @Override
    public int updateSysPoint(SysPoint sysPoint)
    {
        sysPoint.setUpdateTime(DateUtils.getNowDate());
        return sysPointMapper.updateSysPoint(sysPoint);
    }

    /**
     * 批量删除点位管理
     *
     * @param ids 需要删除的点位管理主键
     * @return 结果
     */
    @Override
    public int deleteSysPointByIds(Long[] ids)
    {
        return sysPointMapper.deleteSysPointByIds(ids);
    }

    /**
     * 删除点位管理信息
     *
     * @param id 点位管理主键
     * @return 结果
     */
    @Override
    public int deleteSysPointById(Long id)
    {
        return sysPointMapper.deleteSysPointById(id);
    }
}
